// class message  
import messageCenter from '@/uilts/messageCenter';
import MESSAGE_ENUM from "@/uilts/messageCenter/messageEnum";
import { guid, iframeID } from '@/uilts/help.js'

// content.createTweets('iframe') 

// 做任务
class doTask {
    createTweet({ txt = '' }) {
        return new Promise((res, rej) => {
            messageCenter.send({
                actionType: MESSAGE_ENUM.IFRAME_DO_TASK_CREATE_TWEET,
                data: {
                    iframeID,//用于告诉父窗口会传消息给哪个iframe 
                    messageID: guid()// 唯一的ID，用于标记回调函数
                },
                info: {
                    txt
                },
                callback: (data) => {
                    res(data)
                },
                failback: (e) => {
                    rej(e)
                }
            })
        })
        // console.log(window.parent.window.atest)
        // window.postMessage({actionType: 'iframe_test', data: key})
    }
}


export default {
    doTask() {
        return new doTask()
    }
}